Bug 177472 - Speedtouch USB 330 modem not recognised
Speedtouch USB 330 modem not recognised
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
11
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: Reopened
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2006-01-10 17:02 EST by David Anderson
Modified: 2010-06-28 06:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:21:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Anderson 2006-01-10 17:02:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4) KHTML/3.4.2 (like Gecko)

Description of problem:
Today I began using broadband with a SpeedTouch USB 330 modem. It works 
nicely. However system-config-network doesn't recognise it as a piece of 
hardware, and if I try to edit my ppp0 configuration in s-c-n then it insists 
on connecting the interface with an eth? device. 
 

Version-Release number of selected component (if applicable):
1.3.26-1

How reproducible:
Always

Steps to Reproduce:
1. Install USB modem using instructions from  
http://www.linux-usb.org/SpeedTouch/fedora/index.html  
 
ADSL should now work! Now: 
 
2. Go into s-c-n  
    

Actual Results:  s-c-n trashes your working configuration because it doesn't recognise the 
hardware. 

Additional info:
Comment 1 Harald Hoyer 2006-01-11 04:07:23 EST
Shouldn't this be a normal modem connection then and not ADSL(pppoe)? 
Comment 2 David Anderson 2006-01-11 17:17:23 EST
It uses /sbin/adsl-*; my ISP is using PPPoA. The kernel modules used include 
pppoa, atm, usbatm and speedtch. So the answer is "it's ADSL(pppoa)". 
 
The problem I see is that s-c-n seems to want to associate the connection with 
an Ethernet card, even though none is involved. (It is a USB device). It 
doesn't show the hardward in the hardware tab, but does have an extra tab with 
a list of Ethernet devices which it insists I must associate the modem with one 
of. When I OK all that, the ifcfg-ppp0 file is rewritten with some irrelevant 
PPPoE stuff which causes the connection to not work any more. 
 
David 
 
Comment 3 Harald Hoyer 2006-01-12 02:35:19 EST
IIRC, Fedora Core currently does not support pppoa. At least not s-c-network.
But I think the initscripts also don't.
Comment 4 David Anderson 2006-01-12 08:31:28 EST
 
The initscripts definitely support it - I'm using them, without modification! I 
did these things: 
 
0. Dumped firmware into /lib/firmware 
1. Added my password to /etc/ppp/chap-secrets 
2. Added the /etc/sysconfig/network-scripts/ifcfg-ppp0 from 
http://www.linux-usb.org/SpeedTouch/fedora/index.html 
3. Did "/sbin/ifup ppp0" 
 
And then I was connected to the Internet, via PPPoA. That's all I had to do; I 
was pleased that it worked. (Actually I had to do one other thing: add 
LCP_INTERVAL and LCP_FAILURE parameters to the ifcfg-ppp0 from 
http://www.linux-usb.org/SpeedTouch/fedora/index.html). 
 
But when I went into s-c-n, in the "Hardware Device" tab for ppp0, it only 
listed eth0, eth1, etc. Saving the configuration resulted 
in /etc/sysconfig/network-scripts/ifcfg-ppp0 being rewritten to something that 
no longer worked with "/sbin/ifup ppp0" because it seemed now to be trying 
PPPoE instead of PPPoA. 
 
Summary: initscripts works - they're what I'm using to connect right now. 
However, use of s-c-n breaks this working configuration. 
 
David 
Comment 5 David Anderson 2006-01-13 06:54:30 EST
Here's some more information. 
 
Using this ifcfg-ppp0 script, "ifup ppp0" worked: 
 
PEERDNS=yes 
TYPE=xDSL 
DEVICE=ppp0 
BOOTPROTO=dialup 
ONBOOT=no 
PIDFILE=/var/run/pppoa-adsl.pid 
CONNECT_POLL=6 
CONNECT_TIMEOUT=300 
SYNCHRONOUS=no 
DEFROUTE=yes 
USER='<snip>' 
VPI=0 
VCI=38 
LINUX_PLUGIN=pppoatm.so 
LCP_INTERVAL=15 
LCP_FAILURE=4 
DEMAND=no 
FIREWALL=NONE 
PING=. 
PPPOE_TIMEOUT=80 
CLAMPMSS=1412 
PERSIST=yes 
USERCTL=yes 
IPV6INIT=no 
IDLETIMEOUT=100 
 
Then I opened s-c-n, pressed the button to edit ppp0, then pressed OK (i.e. I 
didn't actually edit anything), and then saved. My ifcfg-ppp0 was then 
rewritten by s-c-n to look like this: 
 
PEERDNS=yes 
TYPE=xDSL 
DEVICE=ppp0 
BOOTPROTO=dialup 
ONBOOT=no 
PIDFILE=/var/run/pppoa-adsl.pid 
CONNECT_POLL=6 
CONNECT_TIMEOUT=300 
SYNCHRONOUS=no 
DEFROUTE=yes 
USER='david.anderson299@adsl.virgin.net' 
VPI=0 
VCI=38 
LINUX_PLUGIN=pppoatm.so 
LCP_INTERVAL=15 
LCP_FAILURE=4 
DEMAND=no 
FIREWALL=NONE 
PING=. 
PPPOE_TIMEOUT=80 
CLAMPMSS=1412 
PERSIST=yes 
USERCTL=yes 
IPV6INIT=no 
IDLETIMEOUT=100 
ETH=eth0 
 
The only change is the addition of the last line: 
ETH=eth0 
 
This change prevents "ifup ppp0" from working. 
 
s-c-n doesn't show the SpeedTouch USB 330 in the "hardware" tab, and therefore 
doesn't let me associate the ppp0 interface with it - instead, it chooses eth0, 
which seems to cause initscripts to do the wrong thing. 
 
Here's the relevant info from /proc/bus/usb/devices for the device: 
 
T:  Bus=03 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  2 Spd=12  MxCh= 0 
D:  Ver= 1.10 Cls=ff(vend.) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1 
P:  Vendor=06b9 ProdID=4061 Rev= 4.00 
S:  Manufacturer=THOMSON 
S:  Product=Speed Touch 330 
S:  SerialNumber=000E50C62EF4 
C:* #Ifs= 3 Cfg#= 1 Atr=80 MxPwr=500mA 
I:  If#= 0 Alt= 0 #EPs= 1 Cls=ff(vend.) Sub=00 Prot=00 Driver=speedtch 
E:  Ad=81(I) Atr=03(Int.) MxPS=  16 Ivl=50ms 
I:  If#= 1 Alt= 0 #EPs= 0 Cls=ff(vend.) Sub=00 Prot=00 Driver=speedtch 
I:  If#= 1 Alt= 1 #EPs= 3 Cls=ff(vend.) Sub=00 Prot=00 Driver=speedtch 
E:  Ad=06(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms 
E:  Ad=07(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms 
E:  Ad=87(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms 
I:  If#= 1 Alt= 2 #EPs= 3 Cls=ff(vend.) Sub=00 Prot=00 Driver=speedtch 
E:  Ad=06(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms 
E:  Ad=07(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms 
E:  Ad=87(I) Atr=01(Isoc) MxPS= 640 Ivl=1ms 
I:  If#= 1 Alt= 3 #EPs= 3 Cls=ff(vend.) Sub=00 Prot=00 Driver=speedtch 
E:  Ad=06(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms 
E:  Ad=07(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms 
E:  Ad=87(I) Atr=01(Isoc) MxPS= 960 Ivl=1ms 
I:  If#= 2 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=00 Prot=00 Driver=speedtch 
E:  Ad=05(O) Atr=02(Bulk) MxPS=   8 Ivl=0ms 
E:  Ad=85(I) Atr=02(Bulk) MxPS=   8 Ivl=0ms 
 
This modem is one of the most popular ADSL modems in Europe (given away by 
ISPs). It is so very close to working fine in FC - it would be great if the fix 
got into FC5. 
Comment 6 David Anderson 2006-01-19 05:59:39 EST
I'd like to nominate this for consideration for FC5 target (#150221), because 
this is a _very_ common ADSL modem in Europe, supplied by a lot of ISPs as the 
free modem you get when you sign up for broadband. It works with initscripts, 
so it mostly works in FC - it's just a shame that running s-c-n then breaks it. 
Comment 7 David Anderson 2006-05-12 08:59:04 EDT
Can I do anything to help with this issue? I believe it still exists in Fedora 
Core 5. I also set up a gateway server on a RHEL 4 (derivative) system, and 
the modem had the same chipset; I came up against the same issue.
Comment 8 Nicola Soranzo 2006-12-25 15:57:00 EST
This bug exists also in FC6.
Comment 9 Christian Iseli 2007-01-22 05:47:50 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 10 David Anderson 2007-01-22 09:35:43 EST
#9 : please see #8 !

Yes, this problem still exists. This is the UK's most popular USB DSL modem, 
so it really ought to be given some attention.
Comment 11 David Anderson 2007-10-10 05:49:07 EDT
Confirming that bug still exists.
Comment 12 Brian Powell 2008-04-24 23:42:08 EDT
Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.
Comment 13 Brian Powell 2008-04-25 01:04:49 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.
Comment 14 Nicola Soranzo 2008-04-25 07:03:32 EDT
The bug still exists in F8, the Speedtouch is not recognized and the ETH=eth0
line is still added to /etc/sysconfig/network-scripts/ifcfg-ppp0 .
Comment 15 Nicola Soranzo 2008-05-19 19:24:27 EDT
When I try to create a New xDSL connection, the dialog asks for the "ethernet
device for this account". What about USB DSL modems?
NetworkManager doesn't support this kind of connections too, and now Firefox,
Pidgin, etc... started to consider me offline...
Comment 16 Bug Zapper 2009-06-09 18:05:24 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Nicola Soranzo 2009-06-12 06:12:23 EDT
Still exists in Fedora 11.
Comment 18 Bug Zapper 2010-04-27 07:38:12 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2010-06-28 06:21:15 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.